all: array_tool  # default target

array_tool: main.o ui.o array.o
	gcc -o array_tool main.o ui.o array.o

array.o: array.c array.h
	gcc -std=c11 -Wall -c array.c
ui.o: ui.c ui.h array.h
	gcc -std=c11 -Wall -c ui.c
main.o: main.c ui.h array.h
	gcc -std=c11 -Wall -c main.c

.PHONY: clean
clean:
	find . -name '*~' -o -name '*.o' -o -name 'array_tool' | xargs rm
